> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bundle

> Creates a new bundle with a header product.



## OpenAPI

````yaml swagger.json post /bundles
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles:
    post:
      tags:
        - Bundles
      summary: Create Bundle
      description: Creates a new bundle with a header product.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBundleRequest'
      responses:
        '201':
          description: Bundle created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Bundle'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateBundleRequest:
      type: object
      properties:
        header:
          type: object
          properties:
            productId:
              type: string
            properties:
              type: object
              additionalProperties:
                type: string
                nullable: true
          required:
            - productId
            - properties
      required:
        - header
    Bundle:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        isActive:
          type: boolean
        header:
          $ref: '#/components/schemas/BundleProduct'
        clonedBundleTempName:
          type: string
          nullable: true
      required:
        - id
        - accountId
        - isActive
    BundleProduct:
      type: object
      properties:
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
      required:
        - productId
        - properties
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````